Package org.apache.catalina.mbeans

## Class NamingResourcesMBean

- java.lang.Object
- - org.apache.tomcat.util.modeler.BaseModelMBean
  - - org.apache.catalina.mbeans.NamingResourcesMBean

- All Implemented Interfaces:
    `javax.management.DynamicMBean`, `javax.management.MBeanRegistration`, `javax.management.modelmbean.ModelMBeanNotificationBroadcaster`, `javax.management.NotificationBroadcaster`

      public class NamingResourcesMBean
      extends BaseModelMBean

  A ModelMBean implementation for the `org.apache.catalina.deploy.NamingResourcesImpl` component.

  Author:
    Amy Roh

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ManagedBean` | `managed` | The `ManagedBean` information describing this MBean.
    `protected Registry` | `registry` | The configuration information registry for our managed beans.

    - ### Fields inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

      `attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NamingResourcesMBean()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `addEnvironment​(java.lang.String envName, java.lang.String type, java.lang.String value)` | Add an environment entry for this web application.
    `java.lang.String` | `addResource​(java.lang.String resourceName, java.lang.String type)` | Add a resource reference for this web application.
    `java.lang.String` | `addResourceLink​(java.lang.String resourceLinkName, java.lang.String type)` | Add a resource link reference for this web application.
    `java.lang.String[]` | `getEnvironments()` | Return the MBean Names of the set of defined environment entries for this web application
    `java.lang.String[]` | `getResourceLinks()` | Return the MBean Names of all the defined resource link references for this application.
    `java.lang.String[]` | `getResources()` | Return the MBean Names of all the defined resource references for this application.
    `void` | `removeEnvironment​(java.lang.String envName)` | Remove any environment entry with the specified name.
    `void` | `removeResource​(java.lang.String resourceName)` | Remove any resource reference with the specified name.
    `void` | `removeResourceLink​(java.lang.String resourceLinkName)` | Remove any resource link reference with the specified name.

    - ### Methods inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

      `addAttributeChangeNotificationListener, addNotificationListener, getAttribute, getAttributes, getClassName, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedBean, setManagedResource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### registry

          protected final Registry registry

      The configuration information registry for our managed beans.

    - #### managed

          protected final ManagedBean managed

      The `ManagedBean` information describing this MBean.

  - ### Constructor Detail

    - #### NamingResourcesMBean

          public NamingResourcesMBean()

  - ### Method Detail

    - #### getEnvironments

          public java.lang.String[] getEnvironments()

      Return the MBean Names of the set of defined environment entries for this web application
      Returns:
        an array of object names as strings

    - #### getResources

          public java.lang.String[] getResources()

      Return the MBean Names of all the defined resource references for this application.
      Returns:
        an array of object names as strings

    - #### getResourceLinks

          public java.lang.String[] getResourceLinks()

      Return the MBean Names of all the defined resource link references for this application.
      Returns:
        an array of object names as strings

    - #### addEnvironment

          public java.lang.String addEnvironment​(java.lang.String envName,
                                                 java.lang.String type,
                                                 java.lang.String value)
                                          throws javax.management.MalformedObjectNameException

      Add an environment entry for this web application.
      Parameters:
        `envName` - New environment entry name
        `type` - The type of the new environment entry
        `value` - The value of the new environment entry
      Returns:
        the object name of the new environment entry
      Throws:
        `javax.management.MalformedObjectNameException` - if the object name was invalid

    - #### addResource

          public java.lang.String addResource​(java.lang.String resourceName,
                                              java.lang.String type)
                                       throws javax.management.MalformedObjectNameException

      Add a resource reference for this web application.
      Parameters:
        `resourceName` - New resource reference name
        `type` - New resource reference type
      Returns:
        the object name of the new resource
      Throws:
        `javax.management.MalformedObjectNameException` - if the object name was invalid

    - #### addResourceLink

          public java.lang.String addResourceLink​(java.lang.String resourceLinkName,
                                                  java.lang.String type)
                                           throws javax.management.MalformedObjectNameException

      Add a resource link reference for this web application.
      Parameters:
        `resourceLinkName` - New resource link reference name
        `type` - New resource link reference type
      Returns:
        the object name of the new resource link
      Throws:
        `javax.management.MalformedObjectNameException` - if the object name was invalid

    - #### removeEnvironment

          public void removeEnvironment​(java.lang.String envName)

      Remove any environment entry with the specified name.
      Parameters:
        `envName` - Name of the environment entry to remove

    - #### removeResource

          public void removeResource​(java.lang.String resourceName)

      Remove any resource reference with the specified name.
      Parameters:
        `resourceName` - Name of the resource reference to remove

    - #### removeResourceLink

          public void removeResourceLink​(java.lang.String resourceLinkName)

      Remove any resource link reference with the specified name.
      Parameters:
        `resourceLinkName` - Name of the resource link reference to remove